NEWUSERS(8)

NOM
newusers - Mettre à jour, ou créer de nouveaux utilisateurs par lots

SYNOPSIS

newusers [options] [file]

DESCRIPTION

The newusers command reads a file (or the standard input by default) and uses this information to update a set of existing users or to create new users. Each line is in the same format as the standard password file (see passwd(5)) with the exceptions explained below:

pw_name:pw_passwd:pw_uid:pw_gid:pw_gecos:pw_dir:pw_shell

pw_name
    C'est le nom de l'utilisateur.

    It can be the name of a new user or the name of an existing user (or a user created before by newusers). In case of an existing user, the user's information will be changed, otherwise a new user will be created.

pw_passwd
    Ce champ sera chiffré et utilisé comme nouvelle valeur du mot de passe chiffré.

pw_uid
    Ce champ est utilisé pour définir l'UID de l'utilisateur.

    If the field is empty, a new (unused) UID will be defined automatically by newusers.

    Si ce champ contient un nombre, ce nombre sera utilisé comme UID.

    If this field contains the name of an existing user (or the name of a user created before by newusers), the UID of the specified user will be used.

    Si l'UID d'un utilisateur existant est modifié, vous devrez configurer vous-même le propriétaire des fichiers de l'utilisateur.

pw_gid
    Ce champ est utilisé pour définir l'identifiant du groupe primaire de l'utilisateur.

    If this field contains the name of an existing group (or a group created before by newusers), the GID of this group will be used as the primary group ID for the user.

    Si ce champ est un nombre, ce nombre sera utilisé comme identifiant de groupe primaire de cet utilisateur. Si aucun groupe n'existe avec ce GID, un nouveau groupe sera créé avec ce GID et le nom de l'utilisateur.

    If this field is empty, a new group will be created with the name of the user and a GID will be automatically defined by newusers to be used as the primary group ID for the user and as the GID for the new group.

    If this field contains the name of a group which does not exist (and was not created before by newusers), a new group will be created with the specified name and a GID will be automatically defined by newusers to be used as the primary group ID for the user and GID for the new group.

pw_gecos
    Ce champ est copié dans le champ GECOS de l'utilisateur.

pw_dir
    Ce champ est utilisé pour définir le répertoire personnel de l'utilisateur.

    If this field does not specify an existing directory, the specified directory is created, with ownership set to the user being created or updated and its primary group. Note that newusers does not create parent directories of the new user's home directory. The newusers command will fail to create the home directory if the parent directories do not exist, and will send a message to stderr informing the user of the failure. The newusers command will not halt or return a failure to the calling shell if it fails to create the home directory, it will continue to process the batch of new users specified.

    If the home directory of an existing user is changed, newusers does not move or copy the content of the old directory to the new location. This should be done manually.

pw_shell
    Ce champ définit l'interpréteur de commande de l'utilisateur. Aucune vérification n'est effectuée sur ce champ.

newusers first tries to create or change all the specified users, and then write these changes to the user or group databases. If an error occurs (except in the final writes to the databases), no changes are committed to the databases.

Cette commande a été conçue pour les gros systèmes pour lesquels un grand nombre de comptes sont mis à jour en même temps.

OPTIONS

The options which apply to the newusers command are:

--badname
    Allow names that do not conform to standards.

-c, --crypt-method
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    Les méthodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces méthodes.

-h, --help
    Afficher un message d'aide et quitter.

-r, --system
    Créer un compte système.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are chosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    You can only use this option with crypt method: SHA256 SHA512

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default is 5000.

AVERTISSEMENTS

Le fichier d'entrée doit être correctement protégé puisqu'il contient des mots de passe en clair.

Vous devez vous assurer que les mots de passe et la méthode de chiffrement respectent la politique de mot de passe du système.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/subgid
    IDs des groupes subalternes d'un utilisateur.

/etc/subuid
    IDs de utilisateurs subalternes d'un utilisateur.

VOIR AUSSI

login.defs(5), passwd(1), subgid(5), subuid(5), useradd(8).